Page MenuHomePhabricator

If the user Saves an upload, but does not then insert it, reset the form correctly
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:

  1. Go to Insert>Media

2.Go to Upload
3.Select an image and click on upload
4.Fill up all the fields correctly in the Media Settings dialog, click on Save.
5.Now on the second Media Settings dialog instead of clicking on "use this image" click on Back which will take you back to the Media Search dialog
6.Now click on Upload tab

Observe it does not have same option to upload a picture but a different page with Usage and File Name showing

Event Timeline

Ryasmeen created this task.Oct 13 2015, 7:57 PM
Ryasmeen updated the task description. (Show Details)
Ryasmeen raised the priority of this task from to Needs Triage.
Ryasmeen added a project: VisualEditor.
Ryasmeen added a subscriber: Ryasmeen.
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald TranscriptOct 13 2015, 7:57 PM
Jdforrester-WMF renamed this task from The Media Upload page has different fields inside after clicking on "Cancel" on uploading an image and going back to same upload page to If the user Saves an upload, but does not then insert it, reset the form correctly.Oct 20 2015, 7:26 PM
Jdforrester-WMF triaged this task as Low priority.
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF added a subscriber: Prtksxna.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptOct 20 2015, 7:26 PM
matmarex claimed this task.Oct 22 2015, 6:23 PM

Change 248090 had a related patch set uploaded (by Bartosz Dziewoński):
ve.ui.MWMediaDialog: Reset upload booklet when done uploading

https://gerrit.wikimedia.org/r/248090

Jdforrester-WMF closed this task as Resolved.Oct 22 2015, 6:44 PM
Jdforrester-WMF removed a project: Patch-For-Review.

Change 248090 merged by jenkins-bot:
ve.ui.MWMediaDialog: Reset upload booklet when done uploading

https://gerrit.wikimedia.org/r/248090